Package com.enonic.xp.style

## Class GenericStyle

- java.lang.Object
- - com.enonic.xp.style.GenericStyle

- All Implemented Interfaces:
    `ElementStyle`

      public final class GenericStyle
      extends Object
      implements ElementStyle

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GenericStyle.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `STYLE_ELEMENT_NAME` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GenericStyle.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `String` | `getDisplayName()` |
    `String` | `getDisplayNameI18nKey()` |
    `String` | `getElement()` |
    `String` | `getName()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STYLE_ELEMENT_NAME

          public static final String STYLE_ELEMENT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getElement

          public String getElement()

      Specified by:
        `getElement` in interface `ElementStyle`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ElementStyle`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `ElementStyle`

    - #### getDisplayNameI18nKey

          public String getDisplayNameI18nKey()

      Specified by:
        `getDisplayNameI18nKey` in interface `ElementStyle`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static GenericStyle.Builder create()